#include<bits/stdc++.h>
# define endl            '\n'
# define clr(x,a)        memset(x,a,sizeof(x))
# define PI              3.14159265358979323846
# define vi              vector<int>
# define fo(i,n)         for(int i=1;i<=n;i++)
# define all(a)          a.begin(), a.end()
# define deb(x)          cout<<#x<<" = "<<x<<endl;
# define pb              push_back
# define sc              scanf
# define pr              printf
# define tc              int t; cin>>t; while(t--)
typedef long long ll;
using namespace std;

const ll mxN=200005, mxM=1000006, mod=1e9+7;
int n;
ll suma;
double sol, trensol;
struct slog{
   int a;
   double p;
   bool operator <(const slog &P){
      return p>P.p;
   }
}niz[mxN];

int main(){
   cin>>n;
   for(int i=1; i<=n; i++){
      sc("%d %lf", &niz[i].a, &niz[i].p);
   }
   sort(niz+1, niz+1+n);

//   cout<<endl;

   for(int i=1; i<=n; i++){
      suma+=niz[i].a;
      trensol=suma*niz[i].p;
      if(trensol>sol) sol=trensol;
   }
   cout<<setprecision(6)<<fixed;

   cout<<sol/100.0<<endl;
/*
4
100001 83.2
40001 20
90001 77.32
300001 1.88
*/
   return 0;
}